﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.IO;

namespace MvcGuestBook.Components
{
    public class MyHandleError : HandleErrorAttribute
    {
        //重写错误处理方法
        public override void OnException(ExceptionContext filterContext)
        {
            //记录错误日志
            this.AddLog(filterContext);
            //调用基类的错误处理功能
            base.OnException(filterContext);
        }

        public void AddLog(ExceptionContext filterContext)
        {
            DirectoryInfo objDirectory = new DirectoryInfo(filterContext.HttpContext.Server.MapPath("~/Log"));
            if (!objDirectory.Exists)
            {
                objDirectory.Create();
            }
            string _logFile = DateTime.Now.ToString("yyyyMM") + ".log";
            string _logFullName = Path.Combine(objDirectory.FullName, _logFile);
            if (!File.Exists(_logFullName))
            {
                FileStream fs = File.Create(_logFullName);
                fs.Close();
            }

            using (StreamWriter sw = new StreamWriter(new FileStream(_logFullName, FileMode.Append, FileAccess.Write)))
            {
                sw.WriteLine(DateTime.Now.ToString() + "\t" + filterContext.Exception.Message);
                sw.WriteLine("StackTrace:" + filterContext.Exception.StackTrace);
            }
        }
    }
}
