﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using MvcGuestBook.Models;
using MvcGuestBook.Components;

namespace MvcGuestBook.Controllers
{
    [MyHandleError]
    public class UserController : Controller
    {
        GuestBookDataContext db = new GuestBookDataContext();

        public ActionResult Register()
        {
            ViewData["Title"] = "Register";
            ViewData["Message"] = "Register";

            return View();
        }

        public ActionResult CheckUsername(string Username)
        {
            //System.Threading.Thread.Sleep(2000);
            var us = from u in db.User where u.Username == Username select u;
            return Json(us.Count());
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Login(User objUser)
        {
            bool isOK = false;
            var us = from u in db.User where u.Username == objUser.Username select u;
            User objU = null;
            foreach (User u in us)
            {
                objU = u;
            }

            if (objU != null)
            {
                if (objU.Password == objUser.Password)
                {
                    isOK = true;
                }
            }

            if (isOK)
            {
                FormsAuthentication.SetAuthCookie(objUser.Username, false);
                return this.RedirectToAction("Index", "Home");
            }
            else
            {
                this.ViewData["LoginInfo"] = "登录失败！";
                return this.View();
            }
        }

        [AcceptVerbs(HttpVerbs.Get)]
        public ActionResult Login()
        {
            ViewData["Title"] = "Login";
            ViewData["Message"] = "Login";
            return this.View();
        }

        public ActionResult Logout()
        {
            FormsAuthentication.SignOut();
            return this.RedirectToAction("Index", "Home");
        }

        public ActionResult UserSave(User objUser)
        {
            db.User.InsertOnSubmit(objUser);
            db.SubmitChanges();
            //登录
            FormsAuthentication.SetAuthCookie(objUser.Username, false);
            return this.RedirectToAction("Index","Home");
        }
    }
}
