﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Register.aspx.cs" Inherits="MvcGuestBook.Views.User.Register" %>
<asp:Content ID="regContent" ContentPlaceHolderID="MainContent" runat="server">
<script type="text/javascript">
$(document).ready(function(){
  $.formValidator.initConfig({ formid: "myform", onerror: function(msg) { alert(msg) } });
  $("#Username").formValidator({ onshow: "请输入用户名", onfocus: "用户名至少4个字符,最多16个字符", oncorrect: "该用户名可以注册" }).inputValidator({ min: 4, max: 16, onerror: "你输入的用户名的长度非法,请确认" }).regexValidator({ regexp: "username", datatype: "enum", onerror: "用户名格式不正确，用户名只能为字母数字和汉字" })
	    .ajaxValidator({
	      type: "post",
	      url: "/User/CheckUsername",
	      datatype: "json",
	      success: function(data) {
	        if (data == "0") {
	          return true;
	        }
	        else {
	          return false;
	        }
	      },
	      buttons: $("#button"),
	      error: function() { alert("服务器没有返回数据，可能服务器忙，请重试"); },
	      onerror: "该用户名不可用，请更换用户名",
	      onwait: "正在对用户名进行合法性校验，请稍候..."
	    });
	    $("#Password").formValidator({ onshow: "请输入密码，密码至少6位", onfocus: "密码不能为空", oncorrect: "密码合法" }).inputValidator({ min: 6, max: 32, empty: { leftempty: false, rightempty: false, emptyerror: "密码两边不能有空符号" }, onerror: "密码需要6为以上的数字或字母组合" });
      $("#RePassword").formValidator({ onshow: "请输入重复密码", onfocus: "两次密码必须一致哦", oncorrect: "密码一致" }).inputValidator({ min: 1, empty: { leftempty: false, rightempty: false, emptyerror: "重复密码两边不能有空符号" }, onerror: "重复密码不能为空,请确认" }).compareValidator({ desid: "Password", operateor: "=", onerror: "2次密码不一致,请确认" });
      $("#Email").formValidator({ onshow: "请输入邮箱", onfocus: "邮箱至少6个字符,最多100个字符", oncorrect: "恭喜你,你输对了", defaultvalue: "" }).inputValidator({ min: 6, max: 100, onerror: "你输入的邮箱长度非法,请确认" }).regexValidator({ regexp: "^([\\w-.]+)@(([[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}.)|(([\\w-]+.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(]?)$", onerror: "你输入的邮箱格式不正确" });
});
</script>
    <h2><%= Html.Encode(ViewData["Message"]) %></h2>
    <% Html.BeginForm("UserSave", "User", FormMethod.Post, new { id = "myform" });%>
  <table>
    <tr>
      <td>用 户 名：</td>
      <td><%=Html.TextBox("Username", "", new { style = "width:200px;", maxLength = "16" })%></td>
      <td><div id="UsernameTip" style="width:250px;"></div></td>
    </tr>
    <tr>
      <td>登录密码：</td>
      <td><%=Html.Password("Password", "", new { style = "width:200px;" })%></td>
      <td><div id="PasswordTip" style="width:250px;"></div></td>
    </tr>
    <tr>
      <td>重复一次：</td>
      <td><%=Html.Password("RePassword", "", new { style = "width:200px;" })%></td>
      <td><div id="RePasswordTip" style="width:250px;"></div></td>
    </tr>
    <tr>
      <td>您的Email：</td>
      <td><%=Html.TextBox("Email", "", new { style = "width:200px;" })%></td>
      <td>
        <div id="EmailTip" style="width:250px;"></div>
      </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td colspan="2">
        <input type="submit" value="马上注册" />
        <%=Html.ActionLink("返回留言薄>>", "Index", "Home")%>
      </td>
    </tr>
  </table>
  <% Html.EndForm(); %>
</asp:Content>
